<?php
// $Id: d2c_node_code_links.inc,v 1.1.2.3 2010/08/04 10:57:36 dot2code Exp $

/**
 *
 * @copyright 2010, (c) dot2code Technologies S.L.
 *
 */

class D2CNodeCodeLinks {

  public static function links($nid) {
  	$links = array();
  	$result = db_query("SELECT * from {d2c_node_code_links} WHERE nid = %d", $nid);
  	if ($result) {
  		while ($link = db_fetch_object($result)) {
  			$links[] = $link;
  		}
  	}
  	return $links;
  }
  
  public static function linked_codes($nid, $only_visible=FALSE) {
  	$code_ids = array();
  	$links = D2CNodeCodeLinks::links($nid);
  	foreach ($links as $link) {
  		if (!$only_visible || $link->visible) {
  		  $code_ids[] = $link->code_id;
  		}
  	}
  	$codes = D2CCode::find($code_ids);  	
  	foreach($links as $link) {
  		if ($codes[$link->code_id]) {
  		  $codes[$link->code_id]->visible = $link->visible;
  	  } 
  	}
  	return $codes;
  }
  
  public static function link($nid, $code_id) {
  	$result = db_query("SELECT * from {d2c_node_code_links} WHERE nid = %d AND code_id = %d", $nid, $code_id);
  	if ($result && ($link = db_fetch_object($result))) {
  		return $link;
  	}
  	else {
  		return NULL;
  	}
  }
  
  public static function add_link($nid, $code_id, $visible = FALSE) {
  	$link = (object) array('nid' => $nid, 'code_id' => $code_id, 'visible' => $visible);
  	if (!D2CNodeCodeLinks::link($nid, $code_id)) {
  		drupal_write_record('d2c_node_code_links', $link);
  	}
  }
  
  public static function update_link($nid, $code_id, $visible) {
  	$link = (object) array('nid' => $nid, 'code_id' => $code_id, 'visible' => $visible);
  	d2c_content_write_record('d2c_node_code_links', $link, array('nid', 'code_id'));
  }
  
  public static function delete_link($nid, $code_id) {
    db_query("DELETE FROM {d2c_node_code_links} WHERE nid = %d AND code_id = %d", $nid, $code_id);  	
  }
  
  public static function delete_links($nid) {
  	db_query("DELETE FROM {d2c_node_code_links} WHERE nid = %d", $nid);
  }

  public static function delete_links_for_code($code_id) {
  	db_query("DELETE FROM {d2c_node_code_links} WHERE code_id = %d", $code_id);
  }
  
}

?>